Package lxml :: Module etree :: Class ErrorLevels

[hide private]
[frames] | no frames]

# Class ErrorLevels

Libxml2 error levels Libxml2 error levels

Instance Methods | [hide private]

_getName(D, k, d=...) d defaults to None. |

Class Variables | [hide private]

| ERROR = `2`
| FATAL = `3`
| NONE = `0`
| WARNING = `1`
| _names = ``{`0`:` `'``NONE``'``,` 1`:` `'``WARNING``'``,` 2`:` `'``ERROR``'``,` 3`:` `'``FATAL``'``}``

Method Details | [hide private]

### _getName(D, k, d=...)

d defaults to None.

Returns:

      D[k] if k in D, else d